Loading...
Searching...
No Matches
juce::URLInputSource Class Reference

`#include <juce_URLInputSource.h>`

Inheritance diagram for juce::URLInputSource:

## Public Member Functions

| URLInputSource (const URL &url)
| URLInputSource (URL &&url)
| ~URLInputSource () override
InputStream * | createInputStream () override
InputStream * | createInputStreamFor (const String &relatedItemPath) override
int64 | hashCode () const override
Public Member Functions inherited from juce::InputSource
virtual | ~InputSource ()=default

## Detailed Description

A type of InputSource that represents a URL.

See also
  InputSource

Definition at line 34 of file juce_URLInputSource.h.

## Constructor & Destructor Documentation

## URLInputSource() [1/2]

juce::URLInputSource::URLInputSource | ( | const URL & | url | ) |

Creates a URLInputSource for a url.

Definition at line 26 of file juce_URLInputSource.cpp.

## URLInputSource() [2/2]

juce::URLInputSource::URLInputSource | ( | URL && | url | ) |

Move constructor which will move the URL into the InputSource.

This is useful when the url carries any security credentials.

Definition at line 31 of file juce_URLInputSource.cpp.

## ~URLInputSource()

juce::URLInputSource::~URLInputSource | ( |  | ) |

override

Destructor.

Definition at line 36 of file juce_URLInputSource.cpp.

## Member Function Documentation

## createInputStream()

InputStream * juce::URLInputSource::createInputStream | ( |  | ) |

override virtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the filename isn't found.

Implements juce::InputSource.

Definition at line 40 of file juce_URLInputSource.cpp.

## createInputStreamFor()

InputStream * juce::URLInputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |

override virtual

Returns a new InputStream to read an item, relative.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an inputstream that the caller will delete, or nullptr if the item isn't found.

Implements juce::InputSource.

Definition at line 45 of file juce_URLInputSource.cpp.

## hashCode()

int64 juce::URLInputSource::hashCode | ( |  | ) | const

override virtual

Returns a hash code that uniquely represents this item.

Implements juce::InputSource.

Definition at line 57 of file juce_URLInputSource.cpp.

The documentation for this class was generated from the following files:

- juce_URLInputSource.h
- juce_URLInputSource.cpp